Summary: GNU Macro Processor
Name: m4
Version: 1.4
Release: 8
Copyright: GPL
Group: Utilities/Text
Source: prep.ai.mit.edu:/pub/gnu/m4-1.4.tar.gz
Patch: m4-1.4-glibc.patch
BuildRoot: /var/tmp/m4-root
Prereq:	/sbin/install-info

%description
This is the GNU Macro processing language.  It is useful for
writing text files that can be parsed logically.  Many programs
use it as part of their build process.

%changelog

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>

- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
./configure --prefix=$RPM_BUILD_ROOT/usr
make install
strip $RPM_BUILD_ROOT/usr/bin/m4
gzip -9fn $RPM_BUILD_ROOT/usr/info/*

%files
%doc NEWS README
/usr/bin/m4
/usr/info/*

%post
/sbin/install-info /usr/info/m4.info.gz /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/m4.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

